<?php  
    namespace Concrete\Package\Grouptextpro\Helper;
    use Controller;
    use Config;
    use Loader;
    use Package;
    use View;

    defined('C5_EXECUTE') or die("Access Denied.");
      
    class Ajax extends Controller {
             
        function in() {

            $api = \Core::make('grouptextpro/api');
            $gtp = \Core::make('grouptextpro/tools');

            $vars = array(
                'jh' => Json,
                'api' => $api,
                'gtp' => $gtp,
                'gtpC' => $gtp->getCustomer(),
                'gtpU' => $gtp->getUser(),
                'gtpG' => $gtp->getGroups(),
            );
        
            /** these functions don't require authentication from backend users **/
            View::element('tools/signup',$vars,'grouptextpro');    

            /** make sure they are an admin **/
            $sh = Loader::helper('concrete/dashboard/sitemap');
            if (!$sh->canRead()) {
            	die(t('Access Denied'));
            }
        
            View::element('tools/contact',$vars,'grouptextpro');    
            View::element('tools/group',$vars,'grouptextpro');
            View::element('tools/send',$vars,'grouptextpro');
            
        }

    }