<?php 

    namespace Concrete\Package\Grouptextpro\Controller\SinglePage\Dashboard\GroupTextPro;
    use \Concrete\Core\Page\Controller\DashboardPageController;
    use Loader;
    use Package;

    defined('C5_EXECUTE') or die("Access Denied.");

    class Messages extends DashboardPageController {
        
        function view() {
            $api = \Core::make('grouptextpro/api'); 
            $json = $api->customer_messages();
            $this->set('messages',$json->messages);
            $this->set('pageTitle',t('Messages List'));
        }
        
        function message($id) {
            $api = \Core::make('grouptextpro/api'); 
            $json = $api->message_detail(array(
                'id'=>$id,
                'sends'=>true,
            ));
            if($json->status=="success") {
                $this->set('thisMessage',$json->message);
                $this->set('what','message');
                $this->set('pageTitle',t('Message Detail'));
            } else {
                $this->redirect('dashboard/grouptextpro/messages');
            }
        }
        
        function cancel($id) {
            $api = \Core::make('grouptextpro/api'); 
            $json = $api->message_cancel(array(
                'id'=>$id
            ));
            if($json->status=="success") {
                $this->redirect('dashboard/grouptextpro/messages/message/'.$json->message->id);
            } else {
                $this->redirect('dashboard/grouptextpro/messages');
            }
        }

    }