<?php  defined('C5_EXECUTE') or die("Access Denied."); ?>
    <h3><?php  echo t('Select New Plan'); ?></h3>
    <?php  if(!$plan->is->canceled) { ?>
    <p class="muted"><?php  echo t('This plan change will take effect on the first of next month. Your current plan is highlighted in %sgreen%s.','<strong class="text-success">','</strong>'); ?></p>    
    <?php  } ?>
    <form id="fmPlanChange" action="<?php  echo $view->action('plan_save'); ?>">
        <table class="table">
            <thead>
                <tr>
                    <th></th>
                    <th>Cost</th>
                    <th>Texts Included</th>
                    <th>Incoming Texts</th>
                </tr>
            </thead>
            <tbody>
                <?php  
                    foreach($planGroup->plans AS $pl) { 
                        $isCurPlan = $plan->id==$pl->id;
                        ?>
                <tr<?php  if($isCurPlan) { ?> class="success"<?php  } ?>>
                    <td class="text-center"><input type="radio" name="planID" value="<?php  echo $pl->id; ?>"<?php  if($isCurPlan) { ?> checked="checked"<?php  } ?>></td>
                    <td><strong>$<?php  echo $pl->cost->perMonth . t(' per month'); ?></strong></td>
                    <td><?php  echo number_format($pl->num->textsIncluded,0).t(' texts per month'); ?><br /><?php  echo $pl->cost->additionalTextsCents.t(' cents each additional'); ?></td>
                    <td><?php  echo $pl->includes->incoming?t('Yes'):t('No'); ?></td>
                </tr>
                <?php  } ?>
            </tbody>
        </table>
    </form>
	<div class="ccm-dashboard-form-actions-wrapper">
    	<div class="ccm-dashboard-form-actions">
    		<a href="<?php  echo Url::to('/dashboard/grouptextpro/account')?>" class="btn btn-default pull-left"><?php  echo t('Cancel')?></a>
            <button class="btn btn-primary pull-right" onclick="planChange();"><?php  echo t('Change My Plan'); ?></button>
	   </div>
	</div>

<script>
function planChange() {
    window.location.href='<?php  echo $view->action('plan_change'); ?>/'+$('input[name=planID]:checked', '#fmPlanChange').val();
}
</script>