<?php  
    defined('C5_EXECUTE') or die("Access Denied.");

    $form = Loader::helper('form'); 
    $ih = Loader::helper('concrete/ui'); 


    if(is_object($contact)) {
        $fmAction = "save";
        $saveText = t("Save Contact");
    } else {
        $fmAction = "create";
        $saveText = t("Add Contact");
        $contact = new stdClass();
    }

?>

    <form method="post" class="form-horizontal" action="<?php  echo $view->action($fmAction)?>">
		<fieldset>
    		<legend><?php  echo t('Contact Details')?></legend>
			<?php  if($fmAction=="save") { ?>
			     <input type="hidden" name="id" value="<?php  echo $contact->id; ?>">
			<?php  } ?>
			<div class="row">
				<div class="form-group">
                    <label for="name" class="control-label col-sm-3"><?php  echo t('Phone Number'); ?><br /><span class="text-muted"><?php  echo t('must have 10 digits'); ?></span></label>
					<div class="col-sm-7">
						<div class="input-group">
						<?php  echo $form->telephone('phone', $contact->phoneFormatted)?>
						<span class="input-group-addon"><i class="fa fa-asterisk"></i></span>
						</div>
					</div>
				</div>
			</div>

			<div class="row">
				<div class="form-group">
                    <label for="fname" class="control-label col-sm-3"><?php  echo t('First Name'); ?></label>
					<div class="col-sm-7">
						<?php  echo $form->text('fname', $contact->names->f)?>
                    </div>
				</div>
			</div>

			<div class="row">
				<div class="form-group">
                    <label for="lname" class="control-label col-sm-3"><?php  echo t('Last Name'); ?></label>
					<div class="col-sm-7">
						<?php  echo $form->text('lname', $contact->names->l)?>
                    </div>
				</div>
			</div>

			<div class="row">
				<div class="form-group">
                    <label for="organization" class="control-label col-sm-3"><?php  echo t('Organization'); ?></label>
					<div class="col-sm-7">
						<?php  echo $form->text('organization', $contact->organization)?>
                    </div>
				</div>
			</div>


	<div class="ccm-dashboard-form-actions-wrapper">
	<div class="ccm-dashboard-form-actions">
		<a href="<?php  echo View::url('/dashboard/grouptextpro/contacts')?>" class="btn btn-default pull-left"><?php  echo t('Cancel')?></a>
		<?php  echo Loader::helper("form")->submit('add', $saveText, array('class' => 'btn btn-primary pull-right'))?>
	</div>
	</div>
    </form>
