<?php  
    defined('C5_EXECUTE') or die("Access Denied.");
    $dt = Loader::helper('form/date_time');
    $form = Loader::helper('form');
    $gtp->outputDashboardStatusBar();

    ?>

    <div class="row">
        <div class="col-sm-1"></div>
        <div class="col-sm-8">
        <form id="fmUpload" action="<?php  echo $view->action('import','upload'); ?>" method="post" enctype="multipart/form-data">
            <input type="hidden" name="groupIDs" id="hidGroupIDs" value="">

            <div class="row" style="margin-bottom: 1em;">
                <div class="col-sm-6">
                    <h4 style="margin-top: 0;"><strong><?php  echo t('Step 1'); ?></strong><br /><?php  echo t('Select Your File'); ?></h4>
                    <p><small><?php  echo t('Select a CSV file.%sColumn A should have the phone number and is required.%sColumn B should have the first name and column C the last name.%sThe name columns are optional.','<br />','<br />','<br />'); ?></small></p>
                </div>
                <div class="col-sm-6">
                    <?php  echo $form->file('csvFile'); ?>
                </div>
            </div>
            
            <div class="row" style="margin-bottom: 1em;">
                <div class="col-sm-6">
                    <h4 style="margin-top: 0;"><strong><?php  echo t('Step 2'); ?></strong><br /><?php  echo t('Select Group(s)'); ?></h4>
                    <p><small><?php  echo t('All imported contacts will be added to selected groups.%sIf a contact already exists, they will be added to these groups.%sExisting contacts will not be removed from any groups.%sSelecing groups is optional.','<br />','<br />','<br />'); ?></small></p>
                </div>
                <div class="col-sm-6">
                <?php 
                    $groups = $gtp->getGroups();
                    if(count($groups)) { ?>
                    <ul class="nav nav-pills nav-stacked" id="groupsList">
                        <?php  foreach($groups AS $group) { ?>
                            <li id="group<?php  echo $group->id; ?>" group-id="<?php  echo $group->id; ?>"><a href="#" onclick="toggleGroup(<?php  echo $group->id; ?>); return false;"><?php  echo $group->name . " (" . $group->contacts->num->in . " " . ($group->contacts->num->in<>1?t('members'):t('member')); ?>)</a></li>
                        <?php  } ?>            
                    </ul>
                    <?php  } else { ?>
                    <p><?php  echo t('You have not yet created any groups. You may import contacts without assigning to groups, but it may be easier to create a group to which these contacts would belong.'); ?></p>
            <?php  } ?>
                </div>
            </div>
            
            <div class="row" style="margin-bottom:  1em;">
                <div class="col-sm-6">
                    <h4 style="margin-top: 0;"><strong><?php  echo t('Step 3'); ?></strong><br /><?php  echo t('Upload'); ?></h4>                
                </div>
                <div class="col-sm-6">
                    <a id="btnUpload" href="#" onclick="upload(); return false;" class="btn btn-success"><?php  echo t('Upload'); ?></a> 
                </div>
            </div>
        </form>
        </div>
        <div class="col-sm-3"></div>
    </div>
    
    <script type="text/javascript">
    
    function toggleGroup(id) {
        el = $('#group'+id);
        if(el.hasClass('active')) { el.removeClass('active'); } else { el.addClass('active'); }
    }
    
    function updateGroupIDs() {
        ids = "";
        $('#groupsList li.active').each(function(){
            ids = ids + "," + $(this).attr('group-id');
        })
        $('#hidGroupIDs').val(ids.substr(1));
    }
    
    function upload(id) {
        updateGroupIDs();        
        $('#fmUpload').submit();
    }
    
    </script>
<?php      echo Loader::helper('concrete/dashboard')->getDashboardPaneFooterWrapper(false);