<?php  
    defined('C5_EXECUTE') or die("Access Denied.");

    $form = Loader::helper('form'); 
    $ih = Loader::helper('concrete/ui'); 

    $gtpC = $gtp->getCustomer();
    $gtpU = $gtp->getUser();

?>

    <form method="post" class="form-horizontal" action="<?php  echo $view->action('save')?>">
		<fieldset>
    		<legend><?php  echo t('Account Details')?></legend>
			<div class="row">
				<div class="form-group">
                    <label for="name" class="control-label col-sm-3"><?php  echo t('Organization'); ?></label>
					<div class="col-sm-7">
						<div class="input-group">
    						<?php  echo $form->text('name', $gtpC->name)?>
    						<span class="input-group-addon"><i class="fa fa-asterisk"></i></span>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="form-group">
                    <label for="website" class="control-label col-sm-3"><?php  echo t('Website'); ?></label>
					<div class="col-sm-7">
						<?php  echo $form->text('website', $gtpC->website)?>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="form-group">
                    <label for="fname" class="control-label col-sm-3"><?php  echo t('First Name'); ?></label>
					<div class="col-sm-7">
						<div class="input-group">
    						<?php  echo $form->text('fname', $gtpU->name->f)?>
    						<span class="input-group-addon"><i class="fa fa-asterisk"></i></span>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="form-group">
                    <label for="lname" class="control-label col-sm-3"><?php  echo t('Last Name'); ?></label>
					<div class="col-sm-7">
						<div class="input-group">
    						<?php  echo $form->text('lname', $gtpU->name->l)?>
    						<span class="input-group-addon"><i class="fa fa-asterisk"></i></span>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="form-group">
                    <label for="email" class="control-label col-sm-3"><?php  echo t('Email'); ?></label>
					<div class="col-sm-7">
						<div class="input-group">
    						<?php  echo $form->text('email', $gtpU->address->email)?>
    						<span class="input-group-addon"><i class="fa fa-asterisk"></i></span>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="form-group">
                    <label for="password" class="control-label col-sm-3"><?php  echo t('Password'); ?><br /><span class="text-muted"><?php  echo t('leave empty to keep the same'); ?></span></label>
					<div class="col-sm-7">
						<?php  echo $form->password('password')?>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="form-group">
                    <label for="password2" class="control-label col-sm-3"><?php  echo t('Confirm Password'); ?></label>
					<div class="col-sm-7">
						<?php  echo $form->password('password2')?>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="form-group">
                    <label for="zip" class="control-label col-sm-3"><?php  echo t('Postal Code'); ?></label>
					<div class="col-sm-7">
						<div class="input-group">
    						<?php  echo $form->text('zip', $gtpU->address->zip)?>
    						<span class="input-group-addon"><i class="fa fa-asterisk"></i></span>
						</div>
					</div>
				</div>
			</div>

	<div class="ccm-dashboard-form-actions-wrapper">
	<div class="ccm-dashboard-form-actions">
		<a href="<?php  echo Url::to('/dashboard/grouptextpro/account')?>" class="btn btn-default pull-left"><?php  echo t('Cancel')?></a>
		<?php  echo Loader::helper("form")->submit('add', 'Save', array('class' => 'btn btn-primary pull-right'))?>
	</div>
	</div>
    </form>
