<?php  
    defined('C5_EXECUTE') or die("Access Denied.");
    $form = Loader::helper('form'); 
?>

    <form method="post" class="form-horizontal" action="<?php  echo $view->action('register')?>">

		<div class="row">
            <div class="col-sm-2"></div>
            <div class="col-sm-6">
            
    			<div class="form-group">
                    <label for="name" class="control-label col-sm-3"><?php  echo t('Organization'); ?></label>
    				<div class="col-sm-7">
    					<div class="input-group">
    						<?php  echo $form->text('name')?>
    						<span class="input-group-addon"><i class="fa fa-asterisk"></i></span>
    					</div>
    				</div>
    			</div>
                
    			<div class="form-group">
                    <label for="website" class="control-label col-sm-3"><?php  echo t('Website'); ?></label>
    				<div class="col-sm-7">
    					<?php  echo $form->text('website')?>
                    </div>
    			</div>

    			<div class="form-group">
                    <label for="fname" class="control-label col-sm-3"><?php  echo t('First Name'); ?></label>
    				<div class="col-sm-7">
    					<div class="input-group">
    						<?php  echo $form->text('fname')?>
    						<span class="input-group-addon"><i class="fa fa-asterisk"></i></span>
    					</div>
    				</div>
    			</div>

    			<div class="form-group">
                    <label for="lname" class="control-label col-sm-3"><?php  echo t('Last Name'); ?></label>
    				<div class="col-sm-7">
    					<div class="input-group">
    						<?php  echo $form->text('lname')?>
    						<span class="input-group-addon"><i class="fa fa-asterisk"></i></span>
    					</div>
    				</div>
    			</div>

    			<div class="form-group">
                    <label for="email" class="control-label col-sm-3"><?php  echo t('Email'); ?></label>
    				<div class="col-sm-7">
    					<div class="input-group">
    						<?php  echo $form->email('email')?>
    						<span class="input-group-addon"><i class="fa fa-asterisk"></i></span>
    					</div>
    				</div>
    			</div>

    			<div class="form-group">
                    <label for="password" class="control-label col-sm-3"><?php  echo t('Password'); ?></label>
    				<div class="col-sm-7">
    					<div class="input-group">
    						<?php  echo $form->password('password')?>
    						<span class="input-group-addon"><i class="fa fa-asterisk"></i></span>
    					</div>
    				</div>
    			</div>

    			<div class="form-group">
                    <label for="password2" class="control-label col-sm-3"><?php  echo t('Confirm Password'); ?></label>
    				<div class="col-sm-7">
    					<div class="input-group">
    						<?php  echo $form->password('password2')?>
    						<span class="input-group-addon"><i class="fa fa-asterisk"></i></span>
    					</div>
    				</div>
    			</div>

    			<div class="form-group">
                    <label for="zip" class="control-label col-sm-3"><?php  echo t('Postal Code'); ?></label>
    				<div class="col-sm-7">
    					<div class="input-group">
    						<?php  echo $form->text('zip')?>
    						<span class="input-group-addon"><i class="fa fa-asterisk"></i></span>
    					</div>
    				</div>
    			</div>

            </div>
            <div class="col-sm-4"></div>
       </div>

    	<div class="ccm-dashboard-form-actions-wrapper">
        	<div class="ccm-dashboard-form-actions">
        		<a href="<?php  echo Url::to('/dashboard/grouptextpro/account/existing')?>" class="btn btn-default pull-left"><?php  echo t('Have An Existing Account?')?></a>
        		<?php  echo Loader::helper("form")->submit('add', 'Create Account', array('class' => 'btn btn-primary pull-right'))?>
        	</div>
    	</div>

    </form>
