<?php  
    defined('C5_EXECUTE') or die("Access Denied.");

    $gtp->outputDashboardStatusBar();
    ?>

    <div class="row">
        <div class="col-sm-8">
            <a href="<?php  echo $view->action(''); ?>" class="btn btn-primary"><?php  echo t('Back To Messages'); ?></a>
            <?php  if(!$message->is->processed && !$message->is->canceled) { ?><a href="#" onclick="cancelMessage(); return false;" class="btn btn-danger"><?php  echo t('Cancel Message'); ?></a><?php  } ?>
        </div>
    </div>

    <?php  if($message->is->canceled) { ?><div class="alert alert-danger"><?php  echo t('This message was cancelled'); ?></div><?php  } ?>
    <h3 class="page-header"><?php  echo $message->message; ?></h3>
    <dl class="dl-horizontal">
        <?php  if($message->is->processed) { ?>
        <dt><?php  echo t('Sent On'); ?></dt>
        <dd><?php  echo date("F j, Y",$message->times->sendTimeLocal) . t(' at ') . date("g:ia",$message->times->sendTimeLocal); ?></dd>
        <dt><?php  echo t('Sent To'); ?></dt>
        <dd><?php  echo $message->stats->numSends . t(' contact') . ($message->stats->numSends<>1?'s':''); ?></dd>
        <?php  if($message->stats->numNotSent) { ?>
            <dt><?php  echo t('Sent Successfully'); ?></dt>
            <dd><?php  echo $message->stats->numSent; ?></dd>
            <dt><?php  echo t('Not Sent'); ?></dt>
            <dd><?php  echo $message->stats->numNotSent; ?></dd>
        <?php  } ?>
        <?php  } else { ?>
        <dt><?php  echo t('To Be Sent'); ?></dt>
        <dd><?php  echo $message->times->sendTimeLocal < strtotime("now") ? t('Any moment now...') : date("F j, Y",$message->times->sendTimeLocal) . t(' at ') . date("g:ia",$message->times->sendTimeLocal); ?></dd>
        <dt><?php  echo t('Groups'); ?></dt>
        <dd><?php  foreach($message->groups AS $group) { echo $group->name . '<br />'; } ?></dd>
        <?php  } ?>
    </dl>
    
    <?php  if(!$message->is->canceled) { ?>
    <?php  if($message->is->prepared) { ?>
    
        <h3><?php  echo $message->stats->numSends . " " . ($message->stats->numSends<>1?t('Sends'):t('Send')); ?></h3>

        <table class="table">
            <tbody>
            <?php  foreach($message->sends AS $send) { ?>
                <tr>
                    <td><a href="<?php  echo View::url('dashboard/grouptextpro/contacts/contact/'.$send->contact->id); ?>"><?php  echo $send->contact->phoneFormatted; ?></a></td>
                    <td><?php  echo $send->contact->names->fl; ?></td>
                    <td><?php  echo $send->status->description; ?></td>
                </tr>
            <?php  } ?>            
            </tbody>
        </table>
    <?php  } else { ?>
        
        <h3><?php  echo t('Stay Tuned!'); ?></h3>
        <p><?php  echo t('We have your message queued and ready to send. Once we process it, the details will appear here.<br />Refresh this page for an update.'); ?></p>
        <a href="<?php  echo View::url('dashboard/grouptextpro/messages/message/'.$message->id); ?>" class="btn btn-success"><?php  echo t('Refresh Page'); ?></a>
        
    <?php  } ?>
    <?php  } ?>
    
    <script>
    function cancelMessage() {
        if(confirm("<?php  echo t('Are you sure you want to cancel this message? This can not be undone.'); ?>")) {
            window.location.href='<?php  echo $view->action('cancel/'.$message->id); ?>';
        }
    }
    </script>