<?php 
    defined('C5_EXECUTE') or die("Access Denied.");

        $fn = $gtpC->fromNumber;

        $alerts = $gtpC->alerts;
        if(is_array($alerts) && count($alerts)) {
            foreach($alerts AS $alert) { 
                if(isset($alert->abbr)) {
                    switch($alert->abbr) {
                        case "canceled": ?>
                            <div class="alert alert-danger"><?php  echo t('Your plan has expired. Please reactivate your account to continue enjoying the benefits of GroupTextPro.'); ?> <a href="<?php  echo $gtpU->url->activate; ?>" class="btn btn-mini btn-danger pull-right"><?php  echo t('Activate Now'); ?></a></div>
                            <?php                         
                            if(!defined('GTP_IS_ACCOUNT_PAGE')) {
                                Header("Location: " . View::url('dashboard/grouptextpro/account'));
                                exit;
                            }
                            break;
                        case "creditcardexpired": ?>
                            <div class="alert alert-danger"><?php  echo t('Your credit card has expired. Please update your card on file immediately.'); ?><a href="<?php  echo $gtpU->url->creditcard; ?>" class="btn btn-mini btn-danger pull-right"><?php  echo t('Update Card'); ?></a></div>
                            <?php                         
                            break;
                        case "creditcardexpiring": ?>
                            <div class="alert alert-info"><?php  echo t('Your credit card is expiring soon. Please update your card on file soon.'); ?><a href="<?php  echo $gtpU->url->creditcard; ?>" class="btn btn-mini btn-info pull-right"><?php  echo t('Update Card'); ?></a></div>
                            <?php                         
                            break;
                        case "trial": ?>
                            <div class="alert alert-info">
                                <a href="<?php  echo $gtpU->url->activate; ?>" class="btn btn-mini btn-info pull-right"><?php  echo t('Activate Now'); ?></a>
                                <?php  
                                    echo t('We hope you are enjoying your trial. You have <strong>' . $alert->days . " day" . ($alert->days<>1?'s':'') . t('</strong> and <strong>') . $alert->numSendsRemaining . t(' text') . ($alert->numSendsRemaining<>1?'s':'') . '</strong> remaining.');
                                    if($fn->is->trial) { 
                                        echo '<br />' . t('Your texts will be sent from a shared trial number:') . ' ' . $fn->numberFormatted . '.<br />' . t('Once you activate your account, we will provide you a dedicated phone number in your area code.'); 
                                    }
                                ?>
                            </div>
                            <?php                         
                            break;
                        case "trialOver": ?>
                            <div class="alert alert-danger"><?php  echo t('Your trial has expired. Please activate your account to continue enjoying the benefits of GroupTextPro.'); ?> <a href="<?php  echo $gtpU->url->activate; ?>" class="btn btn-mini btn-danger pull-right"><?php  echo t('Activate Now'); ?></a></div>
                            <?php 
                            if(!defined('GTP_IS_ACCOUNT_PAGE')) {
                                Header("Location: " . View::url('dashboard/grouptextpro/account'));
                                exit;
                            }
                            break;
                    }
                } else { ?>
                <div class="alert alert-<?php  echo $alert->type; ?>"><?php  echo $alert->msg; ?></div>
            <?php  }
            }
        }
