<?php 

    defined('C5_EXECUTE') or die("Access Denied.");
    use \Concrete\Core\Http\Service\Json;

    switch($_REQUEST['what']) {

        case "GroupTextProSignup":

            // error checking - phone number 10 digits?
            if(function_exists('filter_var')) {
                $phone = filter_var($_REQUEST['phone'],FILTER_SANITIZE_NUMBER_INT);
                $phone = str_replace("+","",$phone);
                $phone = str_replace("-","",$phone);
                
                if(strlen($phone)<>10) {
                    echo Json::encode(array(
                        'success'=>false,
                        'msg'=>t("Please enter a 10 digit phone number"),
                    ));    
                    exit;                                    
                }
                
            } else {
                $phone = $_REQUEST['phone'];
            }
                        
            $groupIDs = is_array($_REQUEST['groupIDs']) ? $_REQUEST['groupIDs'] : explode(",",$_REQUEST['groupIDs']);

            $json = $api->contact_add(array(
                'phone'=>$phone,
                'fname'=>$_REQUEST['fname'],
                'lname'=>$_REQUEST['lname'],
                'groupIDs'=>$groupIDs
            ));
            
            if($json->status=="success") {
                echo Json::encode(array(
                    'success'=>true,
                ));                
            } else {
                echo Json::encode(array(
                    'success'=>false,
                    'msg'=>$json->error->msg
                ));                
            }        
            break;

    }